PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes
psync.h File Reference
`#include <ptlib/contain.h>`
`#include <ptlib/object.h>`
Include dependency graph for psync.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | PSync
class | PSyncNULL
| Synchronisation without really synchronising. More...
class | PWaitAndSignal
| This class waits for the semaphore on construction and automatically signals the semaphore on destruction. More...